Bug 728925

Summary: ipa-server-install creates wrong reverse zone record in LDAP
Product: [Fedora] Fedora Reporter: Adam Tkac <atkac>
Component: freeipaAssignee: Rob Crittenden <rcritten>
Status: CLOSED UPSTREAM QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 15CC: dpal, mkosek, ovasik, rcritten, ssorce
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 729166 (view as bug list) Environment:
Last Closed: 2011-10-19 15:11:46 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 729166    

Description Adam Tkac 2011-08-08 12:12:37 UTC
Description of problem:
ipa-server-install creates wrong reverse zone record in LDAP

Version-Release number of selected component (if applicable):
freeipa-server-2.0.1-2.fc15.x86_64

How reproducible:
always

Steps to Reproduce:
1. run ipa-server-install --selfsign --setup-dns --forwarder <ip>
2. select that you want to create reverse zone
  
Actual results:
Reverse zone record in LDAP looks:

# 24.34.10.in-addr.arpa., dns, atkac.brq.redhat.com
dn: idnsname=24.34.10.in-addr.arpa.,cn=dns,dc=atkac,dc=brq,dc=redhat,dc=com
idnsZoneActive: TRUE
idnsSOAexpire: 1209600
nSRecord: ipa.atkac.brq.redhat.com.
idnsSOAserial: 2011080801
idnsSOAretry: 900
idnsSOAminimum: 3600
idnsUpdatePolicy: grant ATKAC.BRQ.REDHAT.COM krb5-subdomain 24.34.10.in-addr.a
 rpa.. PTR;
idnsSOArefresh: 3600
objectClass: top
objectClass: idnsrecord
objectClass: idnszone
idnsName: 24.34.10.in-addr.arpa.
idnsAllowDynUpdate: TRUE
idnsSOArName: root.24.34.10.in-addr.arpa.
idnsSOAmName: ipa.atkac.brq.redhat.com.

Please check the idnsUpdatePolicy attribute. It contains "24.34.10.in-addr.a
 rpa.. PTR" which contains double dot. It is wrong, FQDN must be terminated only with one dot.

Expected results:
idnsUpdatePolicy attribute contains FQDN with only one dot. In my case it will be:

idnsUpdatePolicy: grant ATKAC.BRQ.REDHAT.COM krb5-subdomain 24.34.10.in-addr.arpa. PTR;

Comment 1 Dmitri Pal 2011-08-08 21:37:48 UTC
https://fedorahosted.org/freeipa/ticket/1591

Comment 2 Martin Kosek 2011-08-09 10:53:51 UTC
Fixed upstream:
master: https://fedorahosted.org/freeipa/changeset/bc6e12842640099aaf97200e856075b9440eae28

Comment 3 Rob Crittenden 2011-10-19 15:11:46 UTC
Fixed in 2.1.0